function _save() {
  var request = new XMLHttpRequest();
  request.addEventListener("load", function(){
    console.log("request done");
  });
  request.open("POST", "/save");
  request.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");

  var markdown = editor.getValue();
  request.send("markdown=" + encodeURIComponent(markdown));
}

function timeToSave(ev) {
  keyStrokes++;

  if(keyStrokes == keyStrokesMax) {
    keyStrokes = 0;
    console.log(keyStrokesMax + " key strokes! saving...");
    _save();
  }
}

var _originalSaveAsMarkdown = saveAsMarkdown();

function saveAsMarkdown() {
  _save();
}

var dataModifiedEventCount = 0;
var dataModifiedEventMax = 3;
var keyStrokes = 0;
var keyStrokesMax = 20;

var codeTextarea = document.getElementsByTagName("textarea")[1];
codeTextarea.addEventListener("keyup", timeToSave, false);

if(openFile != undefined) {
  editor.setValue(openFile);
}
