module Markdaver
  class InjectIndexScript
    def initialize(app, options = {})
      @app = app
      @environment = options[:markdown_editor_env]
    end

    def call(env)
      if env["PATH_INFO"] == "/"
        status, header, _ = @app.call env
        header["Content-Length"] = @environment.index.length.to_s
        [status, header, [@environment.index]]
      else
        @app.call env
      end
    end
  end
end
